<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd"
	default-lazy-init="true" >

	<import
		resource="classpath:repository/log/connect-database-repository-service-log-mx.xml" />
	<import
		resource="classpath:repository/scheduler/connect-database-repository-service-scheduler-mx.xml" />

	<!-- loader Repository services -->
	<bean id="dataLoderRepositoryServiceForMX"	class="com.example.connect.database.repository.dataloader.DataLoaderRepositoryService">
		<property name="dataLoaderRepositoryJDBC" ref="dataLoaderRepositoryJDBCForMX"></property>
		<property name="processLogRepository" ref="processLogRepositoryJDBCForMX"></property>
	</bean>

	<!-- beans -->
	<bean id="dataLoaderRepositoryJDBCForMX" class="com.example.connect.database.repository.dataloader.DataLoaderRepositoryJDBC">
		<property name="dataSource" ref="dataSourceMX"/>
	</bean>
</beans>